
#ifndef _GP_DEFS_H_
#define _GP_DEFS_H_

// Uncomment this to compile in sound support (untested).
//#define ENABLE_SOUND

// Uncomment this to use the gbfs routines.  Otherwise gpnds will load a rom
// from a static array compiled from a .s file.
//#define USE_GBFS

#define EWRAM_DATA  __attribute__((section(".ewram")))

#define BUFFER_WIDTH 512
#define BUFFER_HEIGHT 256
#define BUFFER_GRANULARITY 1
#define BUFFER_PITCH BUFFER_WIDTH*BUFFER_GRANULARITY

void gotoxy(int x, int y);

#endif /* _GP_DEFS_H_ */

